/**
 * @Description: 
 * @Author: gcz
 * @Date: 2022-08-29 11:58:54
 * @LastEditors: gcz
 * @LastEditTime: 2022-08-29 13:47:59
 * @FilePath: \veterans_client_web\src\api\Certificate\index.js
 * @Copyright: Copyright (c) 2016~2022 by gcz, All Rights Reserved. 
 */
import request from '@/utils/request'
/**
 * 证书列表
 * @param {*} params
 * @returns
 */
export function getCertificateList(params) {
  return request({
    url: `/app/certificate/list/${params.skillTrainId}`,
    method: 'get',
    params
  })
}

/**
 * 删除证书
 * @param {*} params
 * @returns
 */
export function deleteCertificate(params) {
  return request({
    url: `/app/certificate/${params.skillTrainId}`,
    method: 'delete',
    params
  })
}

/**
 * 录入证书
 * @param {*} params
 * @returns
 */
export function addCertificate(data) {
  return request({
    url: `/app/certificate`,
    method: 'post',
    data
  })
}

/**
 * 查看证书
 * @param {*} params
 * @returns
 */
export function getCertificate(params) {
  return request({
    url: `/app/certificate/get/${params.skillTrainId}`,
    method: 'get',
    params
  })
}
